import { JsonRpc } from 'eosjs';
import { ExtendedAsset } from './interfaces';
export interface UsdxLiquidity {
    contract: string;
    mid: number;
    reserve0: ExtendedAsset;
    reserve1: ExtendedAsset;
    supply: ExtendedAsset;
    price0: number;
    price1: number;
    deposit: number;
    virtual_price: number;
    last_updated: string;
}
export declare function get_usdx(rpc: JsonRpc): Promise<UsdxLiquidity>;
