import { DfuseClient } from "@dfuse/client";
import { UsdxLiquidity } from "./get_usdx";
export interface UsdxGrowth extends UsdxLiquidity {
    block_num: number;
    block_num_previous: number;
    block_num_delta: number;
    apy_average_revenue: number;
    apy_realtime_revenue: number;
    tvl: number;
    tvl_growth: number;
    growth: number;
    virtual_price: number;
    virtual_price_growth: number;
}
export declare function get_dfuse_usdx(client: DfuseClient, block_num: number): Promise<UsdxLiquidity>;
export declare function get_usdx_growth(client: DfuseClient, block_num: number, block_num_delta?: number): Promise<UsdxGrowth>;
