import { JsonRpc } from 'eosjs';
import { ExtendedAsset } from './interfaces';
export interface Vault {
    deposit: ExtendedAsset;
    staked: ExtendedAsset;
    supply: ExtendedAsset;
    account: string;
    last_updated: string;
}
export declare function get_vault(rpc: JsonRpc, symcode: string): Promise<Vault>;
