import { DfuseClient } from "@dfuse/client";
import { Vault } from "./get_vault";
export interface VaultGrowth extends Vault {
    block_num: number;
    block_num_previous: number;
    block_num_delta: number;
    apy_average_revenue: number;
    apy_realtime_revenue: number;
    tvl: number;
    tvl_growth: number;
    growth: number;
    virtual_price: number;
    virtual_price_growth: number;
}
export declare function get_dfuse_vault(client: DfuseClient, symcode: string, block_num: number): Promise<Vault>;
export declare function get_vault_growth(client: DfuseClient, symcode: string, block_num: number, block_num_delta?: number): Promise<VaultGrowth>;
