import { Asset, Sym, Name } from "eos-common";
export declare const VERSION = 2;
export interface kv {
    [symcode: string]: number;
}
export interface Settings {
    fee: number;
    amplifier: number;
}
export interface Tokens {
    [symcode: string]: Token;
}
export interface Token {
    sym: Sym;
    contract: Name;
    balance: Asset;
    depth: Asset;
    reserve: Asset;
    virtual_reserve: Asset;
}
export interface Volume {
    timestamp: string;
    volume: kv;
    fees: kv;
}
export interface ExtendedAsset {
    quantity: string;
    contract: string;
}
