"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get_bancor_input = exports.get_bancor_output = void 0;
function get_bancor_output(base_reserve, quote_reserve, quantity) {
    const out = (quantity * quote_reserve) / (base_reserve + quantity);
    if (out < 0)
        return 0;
    return out;
}
exports.get_bancor_output = get_bancor_output;
function get_bancor_input(quote_reserve, base_reserve, out) {
    const inp = (base_reserve * out) / (quote_reserve - out);
    if (inp < 0)
        return 0;
    return inp;
}
exports.get_bancor_input = get_bancor_input;
