import { JsonRpc } from 'eosjs';
import { ExtendedAsset } from './interfaces';
export interface CurvePairs {
    id: string;
    reserve0: ExtendedAsset;
    reserve1: ExtendedAsset;
    liquidity: ExtendedAsset;
    amplifier: number;
    virtual_price: number;
    price0_last: number;
    price1_last: number;
    volume0: string;
    volume1: string;
    trades: number;
    last_updated: string;
}
export declare function get_curve(rpc: JsonRpc, symcode: string): Promise<CurvePairs>;
