"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.get_spot_price = void 0;
const eos_common_1 = require("eos-common");
const get_uppers_1 = require("./get_uppers");
function get_spot_price(base, quote, tokens, settings) {
    const [base_upper, quote_upper] = get_uppers_1.get_uppers(new eos_common_1.SymbolCode(base), new eos_common_1.SymbolCode(quote), tokens, settings);
    return base_upper / quote_upper;
}
exports.get_spot_price = get_spot_price;
